SoDecomposeRotation(3IV)

NAME
SoDecomposeRotation — decomposes rotation values

INHERITS FROM
SoBase > SoFieldContainer > SoEngine > SoDecomposeRotation

SYNOPSIS
#include <Inventor/engines/SoCompose.h>

Inputs from class SoDecomposeRotation:

SoMFRotation
rotation

Outputs from class SoDecomposeRotation:

(SoMFVec3f)
axis
(SoMFFloat)
angle

Methods from class SoDecomposeRotation:

SoDecomposeRotation()

Methods from class SoEngine:

static SoType
getClassTypeId()
virtual int
getOutputs(SoEngineOutputList &list) const
SoEngineOutput *
getOutput(const SbName &outputName) const
SbBool
getOutputName(const SoEngineOutput *output, SbName &outputName) const
SoEngine *
copy() const
static SoEngine *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoEngineList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This engine takes as input a rotation, and decomposes it into an axis value and a rotation angle (in radians).

The input can have multiple values, allowing the engine to decompose several rotations in parallel.

INPUTS
SoMFRotation
rotation
Rotation to be decomposed.

OUTPUTS
(SoMFVec3f)
axis
Axis of rotation derived from the input.

(SoMFFloat)
angle
Angle (in radians) derived from the input.

METHODS

SoDecomposeRotation()
Constructor

FILE FORMAT/DEFAULTS
DecomposeRotation {
rotation	0 0 1  0
}

SEE ALSO
SoDecomposeRotationFromTo, SoComposeRotation, SoEngineOutput